io.netty.handler.codec.mqtt

## Class MqttSubscribeMessage

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessage
  - - io.netty.handler.codec.mqtt.MqttSubscribeMessage

    public final class MqttSubscribeMessage
    extends MqttMessage

See MQTTV3.1/subscribe

### Field Summary

### Fields inherited from class io.netty.handler.codec.mqtt.MqttMessage

`DISCONNECT, PINGREQ, PINGRESP`

### Constructor Summary

Constructors
Constructor and Description
`MqttSubscribeMessage(MqttFixedHeader mqttFixedHeader, MqttMessageIdAndPropertiesVariableHeader variableHeader, MqttSubscribePayload payload)`
`MqttSubscribeMessage(MqttFixedHeader mqttFixedHeader, MqttMessageIdVariableHeader variableHeader, MqttSubscribePayload payload)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttMessageIdAndPropertiesVariableHeader` `idAndPropertiesVariableHeader()`
`MqttSubscribePayload` `payload()`
`MqttMessageIdVariableHeader` `variableHeader()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttMessage

`decoderResult, fixedHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttSubscribeMessage

    public MqttSubscribeMessage(MqttFixedHeader mqttFixedHeader,
                                MqttMessageIdAndPropertiesVariableHeader variableHeader,
                                MqttSubscribePayload payload)

#### MqttSubscribeMessage

    public MqttSubscribeMessage(MqttFixedHeader mqttFixedHeader,
                                MqttMessageIdVariableHeader variableHeader,
                                MqttSubscribePayload payload)

### Method Detail

#### variableHeader

    public MqttMessageIdVariableHeader variableHeader()

Overrides:
  `variableHeader` in class `MqttMessage`

#### idAndPropertiesVariableHeader

    public MqttMessageIdAndPropertiesVariableHeader idAndPropertiesVariableHeader()

#### payload

    public MqttSubscribePayload payload()

Overrides:
  `payload` in class `MqttMessage`